Bug 196839 - 2.6.17-1.2139_FC5 breaks dvb
2.6.17-1.2139_FC5 breaks dvb
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-27 02:25 EDT by Susi Lehtola
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 14:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2006-06-27 02:25:34 EDT
Description of problem:
DVB doesn't work under 2.6.17-1.2139_FC5, frontend0 is missing.

Version-Release number of selected component (if applicable):
2.6.17-1.2139_FC5

How reproducible:
Boot into kernel 2.6.17-1.2139_FC5, the card that works under 2.6.16-1.2133_FC5
and older kernels stops working as the device file frontend0 is missing.
Comment 1 Ronald Warsow 2006-06-27 04:14:12 EDT
i see this too for that kernelversion under FC5 and FC6-devel.
dmesg:
....
ACPI: PCI Interrupt 0000:00:0e.0[A] -> GSI 19 (level, low) -> IRQ 177

Linux video capture interface: v1.00
saa7146: register extension 'budget_av'.

ACPI: PCI Interrupt 0000:00:0c.0[A] -> GSI 17 (level, low) -> IRQ 185

saa7146: found saa7146 @ mem e08d2000 (revision 1, irq 185) (0x153b,0x1157).
saa7146 (0): dma buffer size 192512
DVB: registering new adapter (Terratec Cinergy 1200 DVB-T).
adapter failed MAC signature check
encoded MAC from EEPROM was
ff:ff:ff:ff:ff:ff:ff:ff:ff:ff:ff:ff:ff:ff:ff:ff:ff:ff:ff:ff

sd 0:0:0:0: Attached scsi generic sg0 type 0
USB Universal Host Controller Interface driver v3.0
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077

KNC1-0: MAC addr = 00:0a:ac:01:e9:72
budget-av: A frontend driver was not found for device 1131/7146 subsystem 153b/1157
budget-av: ci interface initialised.

ACPI: PCI Interrupt 0000:00:0a.0[A] -> GSI 17 (level, low) -> IRQ 185
...

i emailed that already at sunday to the fedora-list, but the email didn't
arrived there (?!)
Comment 2 Ronald Warsow 2006-06-30 12:42:14 EDT
2.6.17-1.2336.fc6 boots & works !
Comment 3 Ronald Warsow 2006-07-07 22:21:46 EDT
under kernel 2.6.17-1.2145_FC5 the fix from Andrew de Quincey(linuxtv.org) 

changing the 2 lines (near 1029) in budget-av.c to:

        saa7146_setgpio(saa, 0, SAA7146_GPIO_OUTLO);
        switch (saa->pci->subsystem_device) {
                case SUBID_DVBS_KNC1_PLUS:
                case SUBID_DVBC_KNC1_PLUS:
                case SUBID_DVBT_KNC1_PLUS:
                        // Enable / PowerON Frontend
                        saa7146_setgpio(saa, 3, SAA7146_GPIO_OUTHI);
                        break;


and compiling the kernel fixes the frontend problem for that kernel version.

as he further mentioned the fix "...should appear in a 2.6.17.x release at some
point".

maybe this bug here could be closed ?

Comment 4 Susi Lehtola 2006-08-12 13:22:03 EDT
Kernel 2.6.17-1.2174_FC5 includes fix, all works now.
Comment 5 Ronald Warsow 2006-08-13 11:54:02 EDT
same here.

Comment 6 David Lawrence 2006-08-21 14:54:22 EDT
Users reported bug is fixed. Closing.

Note You need to log in before you can comment on or make changes to this bug.